Subject: Re: bug#50098: Configuring --with-libsigsegv results in link error

From: Evan Miller <[email-masked]>
Date: Tue, 17 Aug 2021 22:04:43 -0400

> On Aug 17, 2021, at 18:53, Paul Eggert <[email-masked]> wrote:
> 
> On 8/17/21 1:02 PM, Evan Miller wrote:
> 
>> Thanks for the patch. At present, the non-libsigsegv implementation does not compile on this machine for reasons described in
>> https://trac.macports.org/ticket/63381
> 
> Oh, I see you're building for an old system (Mac OSX 10.4.11, circa 2007) that Apple itself is no longer supporting. Although we don't normally worry about such platforms, perhaps you can come up with a patch that clearly won't break mainline platforms.

A simple regex substitution (removing double underscores from the struct member names on the affected platform) seems to do the trick in the downstream package. If I have the time and cleverness I'll see about a proper patch.

> 
> In the meantime I suppose you can try the c-stack patch I just sent you, though this will require running autoconf. Alternatively you may be able to work around the problem by using something like this:
> 
> ./configure LDFLAGS='-L/opt/local/lib' LIBS='-lsigsegv'

That workaround is what I was looking for, and will let MacPorts fix its package without waiting for a new Grep release.